using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
	public class HostModal
	{
		/// <summary>
		/// HostID
		/// </summary>
		public virtual int HostID
		{
			get;
			set;
		}
		/// <summary>
		/// 设备
		/// </summary>
		public virtual RoomTypeModal Modal
		{
			get;
			set;
		}
		/// <summary>
		/// 状态：1开，2关
		/// </summary>
		public virtual int Status
		{
			get;
			set;
		}
		/// <summary>
		/// 亮度
		/// </summary>
		public virtual int Brightness
		{
			get;
			set;
		}
        /// <summary>
        /// 当前温度
        /// </summary>
        public virtual int CurrentTemp
        {
            get;
            set;
        }
        /// <summary>
        /// 设定温度
        /// </summary>
        public virtual int SettingTemp
        {
            get;
            set;
        }
        /// <summary>
        /// 风速
        /// </summary>
        public virtual int FanSpeed
        {
            get;
            set;
        }
        /// <summary>
        /// 模式
        /// </summary>
        public virtual int Mode
        {
            get;
            set;
        }
        /// <summary>
        /// 阀门
        /// </summary>
        public virtual int Valve
        {
            get;
            set;
        }
		/// <summary>
		/// 当天开启时长
		/// </summary>
		public virtual int Time
		{
			get;
			set;
		}

		public virtual DateTime? UpdateTime
		{
			get;
			set;
		}

		public override bool Equals(object obj)
		{
			HostModal o = obj as HostModal;

			if (o == null)
			{
				return false;
			}

			return this.HostID == o.HostID && this.Modal.ID == o.Modal.ID;
		}

		public override int GetHashCode()
		{
			return this.HostID.GetHashCode() ^ this.Modal.GetHashCode();
		}
	}
}
